Name:           kmscon
Version:        8
Release:        4%{?dist}
Summary:        KMS/DRM based System Console

License:        MIT and LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/kmscon/
Source0:        http://freedesktop.org/software/kmscon/releases/kmscon-%{version}.tar.xz

BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libtsm)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(libsystemd-login)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  libxslt
Buildrequires:  docbook-style-xsl

BuildRequires: prelink
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd


%description
Kmscon is a simple terminal emulator based on Linux kernel mode setting (KMS).
It is an attempt to replace the in-kernel VT implementation with a user-space
console. See kmscon(1) man-page for usage information.


%prep
%setup -q


%build
%configure --disable-static \
  --with-renderers="bbulk,gltex,pixman"

make %{?_smp_mflags}  V=1


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# Install systemd services
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
for s in kmscon.service  kmsconvt@.service ; do
  install -pm 0644 docs/${s} $RPM_BUILD_ROOT%{_unitdir}
done

#There is an execstack issue with mod-unifont.so
#reported to binutils upstream
#https://sourceware.org/bugzilla/show_bug.cgi?id=16744
execstack -c $RPM_BUILD_ROOT%{_libdir}/kmscon/mod-unifont.so



%check
make %{?_smp_mflags} V=1 check


%post
%systemd_post kmscon.service
%systemd_post kmsconvt@.service

%preun
%systemd_preun kmscon.service
%systemd_preun kmsconvt@.service

%postun
%systemd_postun_with_restart kmscon.service
%systemd_postun_with_restart kmsconvt@.service


%files
%doc COPYING NEWS README
%{_bindir}/kmscon
%{_unitdir}/*.service
%dir %{_libdir}/kmscon
%{_libdir}/kmscon/mod-*.so
%{_mandir}/man1/kmscon.1*


%changelog
* Mon May 05 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-4
- Clear execstack
- Add verbose check and fix description

* Fri Mar 07 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-3
- Add man page
- Spec file clean-up
- Enable pixman as a renderer

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-2
- Update to libxslt libgbm

* Thu Feb 27 2014 Nicolas Chauvet <kwizart@gmail.com> - 8-1
- Initial spec file
